Summary:	A tool to work with public-inbox and patch archives
Summary(pl.UTF-8):	Narzędzie do pracy z publiczną skrzynką odbiorczą i archiwami łatek
Name:		b4
Version:	0.7.3
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	https://www.kernel.org/pub/software/devel/b4/%{name}-%{version}.tar.xz
# Source0-md5:	c4f2cb1119c03670e4e6b824acb5a20e
URL:		https://git.kernel.org/pub/scm/utils/b4/b4.git
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a helper utility to work with patches made available via a
public-inbox archive like lore.kernel.org. It is written to make it
easier to participate in a patch-based workflows, like those used in
the Linux kernel development.

%description -l pl.UTF-8
Narzędzie pomocnicze do pracy z łatkami dostępnymi przez archiwum
publicznej skrzynki odbiorczej, takie jak lore.kernel.org. Zostało
napisane, aby ułatwić uczestniczenie w stylu pracy opartym na łatkach,
jak ten używany przy rozwijaniu jądra Linuksa.

%prep
%setup -q

# ~= not supported properly by rpm-pythonprov
%{__sed} -i -e 's/~=/>=/' requirements.txt setup.py

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/b4
%{py3_sitescriptdir}/b4
%{py3_sitescriptdir}/b4-%{version}-py*.egg-info
%{_mandir}/man5/b4.5*
%changelog
* Sat Aug 21 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/b4.git;a=log;h=master

* Sat Aug 21 2021 Jakub Bogusz <qboosh@pld-linux.org> f6b4149
- updated to 0.7.3

* Sun Jul 04 2021 Jakub Bogusz <qboosh@pld-linux.org> c44940c
- updated to 0.7.2

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> e1b5c73
- release 3 (by relup.sh)

* Wed Feb 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 511737a
- noarch, release 2

* Mon Feb 22 2021 Jakub Bogusz <qboosh@pld-linux.org> a9b8ce8
- updated to 0.6.2

* Wed Dec 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 377ac89
- updated to 0.6.1

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 0ec65f7
- updated to 0.5.2

* Sat Jun 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 764678f
- updated to 0.5.1

* Thu Jun 04 2020 Jakub Bogusz <qboosh@pld-linux.org> e862c70
- updated to 0.5.0

* Sat May 16 2020 Jakub Bogusz <qboosh@pld-linux.org> c6e3519
- new

